local Roses = foundation.createMod();

 --[[  ]]--



Roses:dofile("scripts/blue.lua")
Roses:dofile("scripts/white.lua")
Roses:dofile("scripts/purple.lua")
Roses:dofile("scripts/yellow.lua")
Roses:dofile("scripts/red.lua")
Roses:dofile("scripts/pink.lua")
Roses:dofile("scripts/vine.lua")


-- Invisible Stalk
Roses:registerAssetProcessor("models/core.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

Roses:registerAssetId("models/core.fbx/Prefab/Invisiblepole_Part", "PREFAB_INVISIBLEPOLE_PART")
Roses:registerAssetId("models/core.fbx/Prefab/Root_Part", "PREFAB_ROOT_PART")
Roses:registerAssetId("models/core.fbx/Prefab/Tiling_Part", "PREFAB_TILING_PART")
Roses:registerPrefabComponent("models/core.fbx/Prefab/Tiling_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

-----------------------
-- Monument Building --
-----------------------
Roses:register({
    DataType = "BUILDING",
    Id = "SDRAGON_MONUMENT",
    Name = "SDRAGON_MONUMENT_NAME",
    Description = "SDRAGON_MONUMENT_DESC",
    BuildingType = "DECORATION",
    AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    BuildingPartSetList = {
      {
	Name = "SDRAGON_LIST_NAME1",
	        BuildingPartList = {
			    "INVISIBLEPOLE_PART",
				"TALL1_PART",
				"TALL1B_PART",
				"LEFT1_PART",
				"LEFT1B_PART",
				"RIGHT1_PART",
				"RIGHT1B_PART",
                "CENTER1_PART",
				"CENTER1B_PART"

            }
        },
      {
        Name = "SDRAGON_LIST_NAME2",
            BuildingPartList = {
                "INVISIBLEPOLE_PART",
				"TALL2_PART",
				"TALL2B_PART",
				"LEFT2_PART",
				"LEFT2B_PART",
				"RIGHT2_PART",
				"RIGHT2B_PART",
                "CENTER2_PART",
				"CENTER2B_PART"
            }
        },
      {
        Name = "SDRAGON_LIST_NAME3",
           	BuildingPartList = {
                "INVISIBLEPOLE_PART",
				"TALL3_PART",
				"TALL3B_PART",
				"LEFT3_PART",
				"LEFT3B_PART",
				"RIGHT3_PART",
				"RIGHT3B_PART",
                "CENTER3_PART",
				"CENTER3B_PART"
            }
        },		
      {
		Name = "SDRAGON_LIST_NAME4",
           	BuildingPartList = {
                "INVISIBLEPOLE_PART",
				"TALL4_PART",
				"TALL4B_PART",
				"LEFT4_PART",
				"LEFT4B_PART",
				"RIGHT4_PART",
				"RIGHT4B_PART",
                "CENTER4_PART",
				"CENTER4B_PART"
            }
        },	
      {		
		Name = "SDRAGON_LIST_NAME5",
           	BuildingPartList = {
                "INVISIBLEPOLE_PART",
				"TALL5_PART",
				"TALL5B_PART",
				"LEFT5_PART",
				"LEFT5B_PART",
				"RIGHT5_PART",
				"RIGHT5B_PART",
                "CENTER5_PART",
				"CENTER5B_PART"
            }
        },	
 
 
     {		
		Name = "SDRAGON_LIST_NAME6",
           	BuildingPartList = {
                "INVISIBLEPOLE_PART",
				"TALL6_PART",
				"TALL6B_PART",
				"LEFT6_PART",
				"LEFT6B_PART",
				"RIGHT6_PART",
				"RIGHT6B_PART",
                "CENTER6_PART",
				"CENTER6B_PART"
            }
        },	
		
       {
        Name = "SDRAGON_LIST_NAME7",
           	BuildingPartList = {
                "INVISIBLEPOLE_PART",
				"TALL7_PART",
				"TALL7B_PART",
				"LEFT7_PART",
				"LEFT7B_PART",
				"RIGHT7_PART",
				"RIGHT7B_PART",
                "CENTER7_PART",
				"CENTER7B_PART"
           }
        }
    },
	IsEditable = true
})


--------------------
-- Scaling Building Parts --
--------------------

Roses:register({
	DataType = "BUILDING_PART",
	Id = "INVISIBLEPOLE_PART",
	Name = "INVISIBLEPOLE_NAME",
	Description = "INVISIBLEPOLE_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "INVISIBLEPOLE",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
})
Roses:register({
	DataType = "BUILDING_PART",
	Id = "INVISIBLEPOLE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_INVISIBLEPOLE_PART"
	}
})


-------------------
-- Scaling Part --
-------------------
Roses:register({
	DataType = "BUILDING_PART",
	Id = "TILING",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TILING_PART"
	}
})



