local Roses = ...


---------------------
-- Asset Processors --
---------------------
Roses:registerAssetProcessor("models/blue.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})


---------------
-- Asset IDs --
---------------



-- attachable vines

Roses:registerAssetId("models/blue.fbx/Prefab/Tall_Part", "PREFAB_TALL1_PART")
Roses:registerPrefabComponent("models/blue.fbx/Prefab/Tall_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/blue.fbx/Prefab/Tall2_Part", "PREFAB_TALL1B_PART")
Roses:registerPrefabComponent("models/blue.fbx/Prefab/Tall2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/blue.fbx/Prefab/Left_Part", "PREFAB_LEFT1_PART")
Roses:registerPrefabComponent("models/blue.fbx/Prefab/Left_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/blue.fbx/Prefab/Left2_Part", "PREFAB_LEFT1B_PART")
Roses:registerPrefabComponent("models/blue.fbx/Prefab/Left2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/blue.fbx/Prefab/Right_Part", "PREFAB_RIGHT1_PART")
Roses:registerPrefabComponent("models/blue.fbx/Prefab/Right_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/blue.fbx/Prefab/Right2_Part", "PREFAB_RIGHT1B_PART")
Roses:registerPrefabComponent("models/blue.fbx/Prefab/Right2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/blue.fbx/Prefab/Center_Part", "PREFAB_CENTER1_PART")
Roses:registerPrefabComponent("models/blue.fbx/Prefab/Center_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/blue.fbx/Prefab/Center2_Part", "PREFAB_CENTER1B_PART")
Roses:registerPrefabComponent("models/blue.fbx/Prefab/Center2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

-- Materials

Roses:registerAssetId("models/blue.fbx/Materials/blue", "BLUE_MATERIAL")
Roses:override({
    Id = "BLUE_MATERIAL",
	HasAlphaTest = true
})




--vine building parts

Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL1_PART",
    Name = "TALL1_NAME",
    Description = "TALL1_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL1_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL1B_PART",
    Name = "TALL1B_NAME",
    Description = "TALL1B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL1B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER1_PART",
    Name = "CENTER1_NAME",
    Description = "CENTER1_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER1_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER1B_PART",
    Name = "CENTER1B_NAME",
    Description = "CENTER1B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER1B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT1_PART",
    Name = "RIGHT1_NAME",
    Description = "RIGHT1_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT1_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT1B_PART",
    Name = "RIGHT1B_NAME",
    Description = "RIGHT1B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT1B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT1_PART",
    Name = "LEFT1_NAME",
    Description = "LEFT1_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT1_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT1B_PART",
    Name = "LEFT1B_NAME",
    Description = "LEFT1B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT1B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})



