local Roses = ...


---------------------
-- Asset Processors --
---------------------
Roses:registerAssetProcessor("models/pink.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})


---------------
-- Asset IDs --
---------------

-- attachable vines

Roses:registerAssetId("models/pink.fbx/Prefab/Tall_Part", "PREFAB_TALL6_PART")
Roses:registerPrefabComponent("models/pink.fbx/Prefab/Tall_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/pink.fbx/Prefab/Tall2_Part", "PREFAB_TALL6B_PART")
Roses:registerPrefabComponent("models/pink.fbx/Prefab/Tall2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/pink.fbx/Prefab/Left_Part", "PREFAB_LEFT6_PART")
Roses:registerPrefabComponent("models/pink.fbx/Prefab/Left_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/pink.fbx/Prefab/Left2_Part", "PREFAB_LEFT6B_PART")
Roses:registerPrefabComponent("models/pink.fbx/Prefab/Left2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/pink.fbx/Prefab/Right_Part", "PREFAB_RIGHT6_PART")
Roses:registerPrefabComponent("models/pink.fbx/Prefab/Right_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/pink.fbx/Prefab/Right2_Part", "PREFAB_RIGHT6B_PART")
Roses:registerPrefabComponent("models/pink.fbx/Prefab/Right2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/pink.fbx/Prefab/Center_Part", "PREFAB_CENTER6_PART")
Roses:registerPrefabComponent("models/pink.fbx/Prefab/Center_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/pink.fbx/Prefab/Center2_Part", "PREFAB_CENTER6B_PART")
Roses:registerPrefabComponent("models/pink.fbx/Prefab/Center2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

-- Materials

Roses:registerAssetId("models/pink.fbx/Materials/pink", "PINK_MATERIAL")
Roses:override({
    Id = "PINK_MATERIAL",
	HasAlphaTest = true
})




--vine building parts

Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL6_PART",
    Name = "TALL6_NAME",
    Description = "TALL6_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL6_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL6B_PART",
    Name = "TALL6B_NAME",
    Description = "TALL6B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL6B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER6_PART",
    Name = "CENTER6_NAME",
    Description = "CENTER6_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER6_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER6B_PART",
    Name = "CENTER6B_NAME",
    Description = "CENTER6B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER6B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT6_PART",
    Name = "RIGHT6_NAME",
    Description = "RIGHT6_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT6_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT6B_PART",
    Name = "RIGHT6B_NAME",
    Description = "RIGHT6B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT6B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT6_PART",
    Name = "LEFT6_NAME",
    Description = "LEFT6_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT6_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT6B_PART",
    Name = "LEFT6B_NAME",
    Description = "LEFT6B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT6B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
