local Roses = ...


---------------------
-- Asset Processors --
---------------------
Roses:registerAssetProcessor("models/purple.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})


---------------
-- Asset IDs --
---------------

-- attachable vines

Roses:registerAssetId("models/purple.fbx/Prefab/Tall_Part", "PREFAB_TALL3_PART")
Roses:registerPrefabComponent("models/purple.fbx/Prefab/Tall_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/purple.fbx/Prefab/Tall2_Part", "PREFAB_TALL3B_PART")
Roses:registerPrefabComponent("models/purple.fbx/Prefab/Tall2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/purple.fbx/Prefab/Left_Part", "PREFAB_LEFT3_PART")
Roses:registerPrefabComponent("models/purple.fbx/Prefab/Left_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/purple.fbx/Prefab/Left2_Part", "PREFAB_LEFT3B_PART")
Roses:registerPrefabComponent("models/purple.fbx/Prefab/Left2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/purple.fbx/Prefab/Right_Part", "PREFAB_RIGHT3_PART")
Roses:registerPrefabComponent("models/purple.fbx/Prefab/Right_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/purple.fbx/Prefab/Right2_Part", "PREFAB_RIGHT3B_PART")
Roses:registerPrefabComponent("models/purple.fbx/Prefab/Right2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/purple.fbx/Prefab/Center_Part", "PREFAB_CENTER3_PART")
Roses:registerPrefabComponent("models/purple.fbx/Prefab/Center_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/purple.fbx/Prefab/Center2_Part", "PREFAB_CENTER3B_PART")
Roses:registerPrefabComponent("models/purple.fbx/Prefab/Center2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

-- Materials

Roses:registerAssetId("models/purple.fbx/Materials/purple", "PURPLE_MATERIAL")
Roses:override({
    Id = "PURPLE_MATERIAL",
	HasAlphaTest = true
})




--vine building parts

Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL3_PART",
    Name = "TALL3_NAME",
    Description = "TALL3_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL3_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL3B_PART",
    Name = "TALL3B_NAME",
    Description = "TALL3B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL3B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER3_PART",
    Name = "CENTER3_NAME",
    Description = "CENTER3_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER3_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER3B_PART",
    Name = "CENTER3B_NAME",
    Description = "CENTER3B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER3B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT3_PART",
    Name = "RIGHT3_NAME",
    Description = "RIGHT3_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT3_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT3B_PART",
    Name = "RIGHT3B_NAME",
    Description = "RIGHT3B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT3B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT3_PART",
    Name = "LEFT3_NAME",
    Description = "LEFT3_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT3_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT3B_PART",
    Name = "LEFT3B_NAME",
    Description = "LEFT3B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT3B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
