local Roses = ...


---------------------
-- Asset Processors --
---------------------
Roses:registerAssetProcessor("models/vine.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})


---------------
-- Asset IDs --
---------------

-- attachable vines

Roses:registerAssetId("models/vine.fbx/Prefab/Tall_Part", "PREFAB_TALL7_PART")
Roses:registerPrefabComponent("models/vine.fbx/Prefab/Tall_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/vine.fbx/Prefab/Tall2_Part", "PREFAB_TALL7B_PART")
Roses:registerPrefabComponent("models/vine.fbx/Prefab/Tall2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/vine.fbx/Prefab/Left_Part", "PREFAB_LEFT7_PART")
Roses:registerPrefabComponent("models/vine.fbx/Prefab/Left_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/vine.fbx/Prefab/Left2_Part", "PREFAB_LEFT7B_PART")
Roses:registerPrefabComponent("models/vine.fbx/Prefab/Left2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/vine.fbx/Prefab/Right_Part", "PREFAB_RIGHT7_PART")
Roses:registerPrefabComponent("models/vine.fbx/Prefab/Right_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/vine.fbx/Prefab/Right2_Part", "PREFAB_RIGHT7B_PART")
Roses:registerPrefabComponent("models/vine.fbx/Prefab/Right2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/vine.fbx/Prefab/Center_Part", "PREFAB_CENTER7_PART")
Roses:registerPrefabComponent("models/vine.fbx/Prefab/Center_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/vine.fbx/Prefab/Center2_Part", "PREFAB_CENTER7B_PART")
Roses:registerPrefabComponent("models/vine.fbx/Prefab/Center2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

-- Materials

Roses:registerAssetId("models/vine.fbx/Materials/pink", "PINK_MATERIAL")
Roses:override({
    Id = "PINK_MATERIAL",
	HasAlphaTest = true
})




--vine building parts

Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL7_PART",
    Name = "TALL7_NAME",
    Description = "TALL7_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL7_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL7B_PART",
    Name = "TALL7B_NAME",
    Description = "TALL7B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL7B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER7_PART",
    Name = "CENTER7_NAME",
    Description = "CENTER7_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER7_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER7B_PART",
    Name = "CENTER7B_NAME",
    Description = "CENTER7B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER7B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT7_PART",
    Name = "RIGHT7_NAME",
    Description = "RIGHT7_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT7_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT7B_PART",
    Name = "RIGHT7B_NAME",
    Description = "RIGHT7B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT7B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT7_PART",
    Name = "LEFT7_NAME",
    Description = "LEFT7_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT7_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT7B_PART",
    Name = "LEFT7B_NAME",
    Description = "LEFT7B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT7B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
