local Roses = ...


---------------------
-- Asset Processors --
---------------------
Roses:registerAssetProcessor("models/yellow.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})


---------------
-- Asset IDs --
---------------

-- attachable vines

Roses:registerAssetId("models/yellow.fbx/Prefab/Tall_Part", "PREFAB_TALL4_PART")
Roses:registerPrefabComponent("models/yellow.fbx/Prefab/Tall_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/yellow.fbx/Prefab/Tall2_Part", "PREFAB_TALL4B_PART")
Roses:registerPrefabComponent("models/yellow.fbx/Prefab/Tall2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/yellow.fbx/Prefab/Left_Part", "PREFAB_LEFT4_PART")
Roses:registerPrefabComponent("models/yellow.fbx/Prefab/Left_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/yellow.fbx/Prefab/Left2_Part", "PREFAB_LEFT4B_PART")
Roses:registerPrefabComponent("models/yellow.fbx/Prefab/Left2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/yellow.fbx/Prefab/Right_Part", "PREFAB_RIGHT4_PART")
Roses:registerPrefabComponent("models/yellow.fbx/Prefab/Right_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/yellow.fbx/Prefab/Right2_Part", "PREFAB_RIGHT4B_PART")
Roses:registerPrefabComponent("models/yellow.fbx/Prefab/Right2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Roses:registerAssetId("models/yellow.fbx/Prefab/Center_Part", "PREFAB_CENTER4_PART")
Roses:registerPrefabComponent("models/yellow.fbx/Prefab/Center_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })
Roses:registerAssetId("models/yellow.fbx/Prefab/Center2_Part", "PREFAB_CENTER4B_PART")
Roses:registerPrefabComponent("models/yellow.fbx/Prefab/Center2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

-- Materials

Roses:registerAssetId("models/yellow.fbx/Materials/yellow", "YELLOW_MATERIAL")
Roses:override({
    Id = "YELLOW_MATERIAL",
	HasAlphaTest = true
})




--vine building parts

Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL4_PART",
    Name = "TALL4_NAME",
    Description = "TALL4_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL4_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "TALL4B_PART",
    Name = "TALL4B_NAME",
    Description = "TALL4B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_TALL4B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER4_PART",
    Name = "CENTER4_NAME",
    Description = "CENTER4_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER4_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "CENTER4B_PART",
    Name = "CENTER4B_NAME",
    Description = "CENTER4B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_CENTER4B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT4_PART",
    Name = "RIGHT4_NAME",
    Description = "RIGHT4_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT4_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "RIGHT4B_PART",
    Name = "RIGHT4B_NAME",
    Description = "RIGHT4B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_RIGHT4B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT4_PART",
    Name = "LEFT4_NAME",
    Description = "LEFT4_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT4_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
Roses:register({
    DataType = "BUILDING_PART",
    Id = "LEFT4B_PART",
    Name = "LEFT4B_NAME",
    Description = "LEFT4B_DESC",
	IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_LEFT4B_PART"
    },
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	}
})
